import { PropertyMap } from '@parlor/common';
export declare const useOppFormPropertyMaps: () => {
    propertyMaps: PropertyMap[];
    isLoading: boolean;
    isRefetching: boolean;
    hasMore: any;
    refetching: boolean;
    client: import("@apollo/client").ApolloClient<any>;
    observable: import("@apollo/client").ObservableQuery<import("@parlor/common").PropertyMapListQuery, import("@parlor/common").Exact<{
        filter?: import("@parlor/common").PropertyMapFilter;
        sorting?: import("@parlor/common").PropertyMapSort | import("@parlor/common").PropertyMapSort[];
        paging?: import("@parlor/common").CursorPaging;
    }>>;
    data: import("@parlor/common").PropertyMapListQuery;
    previousData?: import("@parlor/common").PropertyMapListQuery;
    error?: import("@apollo/client").ApolloError;
    loading: boolean;
    networkStatus: import("@apollo/client").NetworkStatus;
    called: boolean;
    variables: import("@parlor/common").Exact<{
        filter?: import("@parlor/common").PropertyMapFilter;
        sorting?: import("@parlor/common").PropertyMapSort | import("@parlor/common").PropertyMapSort[];
        paging?: import("@parlor/common").CursorPaging;
    }>;
    startPolling: (pollInterval: number) => void;
    stopPolling: () => void;
    subscribeToMore: <TSubscriptionData = import("@parlor/common").PropertyMapListQuery, TSubscriptionVariables = import("@parlor/common").Exact<{
        filter?: import("@parlor/common").PropertyMapFilter;
        sorting?: import("@parlor/common").PropertyMapSort | import("@parlor/common").PropertyMapSort[];
        paging?: import("@parlor/common").CursorPaging;
    }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("@parlor/common").PropertyMapListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
    updateQuery: <TVars = import("@parlor/common").Exact<{
        filter?: import("@parlor/common").PropertyMapFilter;
        sorting?: import("@parlor/common").PropertyMapSort | import("@parlor/common").PropertyMapSort[];
        paging?: import("@parlor/common").CursorPaging;
    }>>(mapFn: (previousQueryResult: import("@parlor/common").PropertyMapListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("@parlor/common").PropertyMapListQuery>, "variables">) => import("@parlor/common").PropertyMapListQuery) => void;
    refetch: (variables?: Partial<import("@parlor/common").Exact<{
        filter?: import("@parlor/common").PropertyMapFilter;
        sorting?: import("@parlor/common").PropertyMapSort | import("@parlor/common").PropertyMapSort[];
        paging?: import("@parlor/common").CursorPaging;
    }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("@parlor/common").PropertyMapListQuery>>;
    reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("@parlor/common").Exact<{
        filter?: import("@parlor/common").PropertyMapFilter;
        sorting?: import("@parlor/common").PropertyMapSort | import("@parlor/common").PropertyMapSort[];
        paging?: import("@parlor/common").CursorPaging;
    }>, import("@parlor/common").PropertyMapListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("@parlor/common").PropertyMapListQuery>>;
    fetchMore: <TFetchData = import("@parlor/common").PropertyMapListQuery, TFetchVars = import("@parlor/common").Exact<{
        filter?: import("@parlor/common").PropertyMapFilter;
        sorting?: import("@parlor/common").PropertyMapSort | import("@parlor/common").PropertyMapSort[];
        paging?: import("@parlor/common").CursorPaging;
    }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
        updateQuery?: (previousQueryResult: import("@parlor/common").PropertyMapListQuery, options: {
            fetchMoreResult: TFetchData;
            variables: TFetchVars;
        }) => import("@parlor/common").PropertyMapListQuery;
    }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
};
